Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network253.49.252.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
253.49.252.0
Broadcast address
253.49.255.255
First usable
253.49.252.1
Last usable
253.49.255.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FD31FC00 · Integer 4247911424 to 4247912447
Reverse DNS zones
252.49.253.in-addr.arpa
253.49.253.in-addr.arpa
254.49.253.in-addr.arpa
255.49.253.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111101.00110001.11111100.00000000253.49.252.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network11111101.00110001.11111100.00000000253.49.252.0
Broadcast11111101.00110001.11111111.11111111253.49.255.255
Split into smaller subnets/28

253.49.252.0/22 makes 64 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1253.49.252.0/28253.49.252.1 to 253.49.252.14253.49.252.1514
2253.49.252.16/28253.49.252.17 to 253.49.252.30253.49.252.3114
3253.49.252.32/28253.49.252.33 to 253.49.252.46253.49.252.4714
4253.49.252.48/28253.49.252.49 to 253.49.252.62253.49.252.6314
5253.49.252.64/28253.49.252.65 to 253.49.252.78253.49.252.7914
6253.49.252.80/28253.49.252.81 to 253.49.252.94253.49.252.9514
7253.49.252.96/28253.49.252.97 to 253.49.252.110253.49.252.11114
8253.49.252.112/28253.49.252.113 to 253.49.252.126253.49.252.12714
9253.49.252.128/28253.49.252.129 to 253.49.252.142253.49.252.14314
10253.49.252.144/28253.49.252.145 to 253.49.252.158253.49.252.15914
11253.49.252.160/28253.49.252.161 to 253.49.252.174253.49.252.17514
12253.49.252.176/28253.49.252.177 to 253.49.252.190253.49.252.19114
13253.49.252.192/28253.49.252.193 to 253.49.252.206253.49.252.20714
14253.49.252.208/28253.49.252.209 to 253.49.252.222253.49.252.22314
15253.49.252.224/28253.49.252.225 to 253.49.252.238253.49.252.23914
16253.49.252.240/28253.49.252.241 to 253.49.252.254253.49.252.25514
17253.49.253.0/28253.49.253.1 to 253.49.253.14253.49.253.1514
18253.49.253.16/28253.49.253.17 to 253.49.253.30253.49.253.3114
19253.49.253.32/28253.49.253.33 to 253.49.253.46253.49.253.4714
20253.49.253.48/28253.49.253.49 to 253.49.253.62253.49.253.6314
21253.49.253.64/28253.49.253.65 to 253.49.253.78253.49.253.7914
22253.49.253.80/28253.49.253.81 to 253.49.253.94253.49.253.9514
23253.49.253.96/28253.49.253.97 to 253.49.253.110253.49.253.11114
24253.49.253.112/28253.49.253.113 to 253.49.253.126253.49.253.12714
25253.49.253.128/28253.49.253.129 to 253.49.253.142253.49.253.14314
26253.49.253.144/28253.49.253.145 to 253.49.253.158253.49.253.15914
27253.49.253.160/28253.49.253.161 to 253.49.253.174253.49.253.17514
28253.49.253.176/28253.49.253.177 to 253.49.253.190253.49.253.19114
29253.49.253.192/28253.49.253.193 to 253.49.253.206253.49.253.20714
30253.49.253.208/28253.49.253.209 to 253.49.253.222253.49.253.22314
31253.49.253.224/28253.49.253.225 to 253.49.253.238253.49.253.23914
32253.49.253.240/28253.49.253.241 to 253.49.253.254253.49.253.25514
33253.49.254.0/28253.49.254.1 to 253.49.254.14253.49.254.1514
34253.49.254.16/28253.49.254.17 to 253.49.254.30253.49.254.3114
35253.49.254.32/28253.49.254.33 to 253.49.254.46253.49.254.4714
36253.49.254.48/28253.49.254.49 to 253.49.254.62253.49.254.6314
37253.49.254.64/28253.49.254.65 to 253.49.254.78253.49.254.7914
38253.49.254.80/28253.49.254.81 to 253.49.254.94253.49.254.9514
39253.49.254.96/28253.49.254.97 to 253.49.254.110253.49.254.11114
40253.49.254.112/28253.49.254.113 to 253.49.254.126253.49.254.12714
41253.49.254.128/28253.49.254.129 to 253.49.254.142253.49.254.14314
42253.49.254.144/28253.49.254.145 to 253.49.254.158253.49.254.15914
43253.49.254.160/28253.49.254.161 to 253.49.254.174253.49.254.17514
44253.49.254.176/28253.49.254.177 to 253.49.254.190253.49.254.19114
45253.49.254.192/28253.49.254.193 to 253.49.254.206253.49.254.20714
46253.49.254.208/28253.49.254.209 to 253.49.254.222253.49.254.22314
47253.49.254.224/28253.49.254.225 to 253.49.254.238253.49.254.23914
48253.49.254.240/28253.49.254.241 to 253.49.254.254253.49.254.25514
49253.49.255.0/28253.49.255.1 to 253.49.255.14253.49.255.1514
50253.49.255.16/28253.49.255.17 to 253.49.255.30253.49.255.3114
51253.49.255.32/28253.49.255.33 to 253.49.255.46253.49.255.4714
52253.49.255.48/28253.49.255.49 to 253.49.255.62253.49.255.6314
53253.49.255.64/28253.49.255.65 to 253.49.255.78253.49.255.7914
54253.49.255.80/28253.49.255.81 to 253.49.255.94253.49.255.9514
55253.49.255.96/28253.49.255.97 to 253.49.255.110253.49.255.11114
56253.49.255.112/28253.49.255.113 to 253.49.255.126253.49.255.12714
57253.49.255.128/28253.49.255.129 to 253.49.255.142253.49.255.14314
58253.49.255.144/28253.49.255.145 to 253.49.255.158253.49.255.15914
59253.49.255.160/28253.49.255.161 to 253.49.255.174253.49.255.17514
60253.49.255.176/28253.49.255.177 to 253.49.255.190253.49.255.19114
61253.49.255.192/28253.49.255.193 to 253.49.255.206253.49.255.20714
62253.49.255.208/28253.49.255.209 to 253.49.255.222253.49.255.22314
63253.49.255.224/28253.49.255.225 to 253.49.255.238253.49.255.23914
64253.49.255.240/28253.49.255.241 to 253.49.255.254253.49.255.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses